## opensc 0.11.4

=== solaris/Makefile ===
PACKAGE=OSCopensc
PACKAGE_NAME=opensc
VERSION=CVS
PWD=pwd
CONFIGURE_PREFIX=$(PWD:sh)/..
CONFIGURE=${CONFIGURE_PREFIX}/configure
CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc/opensc --mandir=/usr/share/man
CONFIG_GUESS=${CONFIGURE_PREFIX}/config.guess
UNAME_ARCH=/sbin/uname -p
PLATFORM = $(CONFIG_GUESS:sh)
ARCH = $(UNAME_ARCH:sh)

build:
	@echo "Setup platform specific build directory build-${PLATFORM}"
	mkdir -p build-${PLATFORM}
	( cd build-${PLATFORM}; CC=cc ${CONFIGURE} ${CONFIGURE_ARGS}; make )

dist:
	@echo "Setup platform specific dist directory dist-${PLATFORM}"
	mkdir -p dist-${PLATFORM}
	@echo "Performing Installing in dist directory"
	( cd build-${PLATFORM}; make DESTDIR=`pwd`/../dist-${PLATFORM} install )
package:
	@echo "Setup package meta files"
	-cp proto dist-${PLATFORM}
	-sed "s|@ARCH@|${ARCH}|" <checkinstall.in >dist-${PLATFORM}/checkinstall
	-sed	-e "s|@ARCH@|${ARCH}|" \
		-e "s|@VERSION@|${VERSION}|" \
		-e "s|@PACKAGE@|${PACKAGE}|" \
		-e "s|@PACKAGE_NAME@|${PACKAGE_NAME}|" \
		<pkginfo.in >dist-${PLATFORM}/pkginfo
	mkdir -p dist-${PLATFORM}/etc/opensc
	-cp opensc.conf-dist dist-${PLATFORM}/etc/opensc/opensc.conf
	@echo "Creating package"
	( \
		cd dist-${PLATFORM}; \
		pkgmk -o -r . -d . -f proto; \
		pkgtrans -s . ../OSCopensc-${VERSION}-${PLATFORM}.pkg ${PACKAGE} \
	)

## opensc 0.11.8

=== solaris/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PWD=pwd
 CONFIGURE_PREFIX=$(PWD:sh)/..
 CONFIGURE=${CONFIGURE_PREFIX}/configure
-CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc/opensc --mandir=/usr/share/man
+CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc/opensc --mandir=/usr/share/man --enable-pcsc --enable-openct
 CONFIG_GUESS=${CONFIGURE_PREFIX}/config.guess
 UNAME_ARCH=/sbin/uname -p
 PLATFORM = $(CONFIG_GUESS:sh)

## opensc 0.11.12

=== debian/changelog ===
opensc (0.11.12-1ubuntu3.1) lucid-proposed; urgency=low

  * debian/patches/fix-storing-key-on-entersafe: Fix storing a RSA key on
    EnterSafe cards. (LP: #622319)

 -- Firas Kraiem <firas@fkraiem.org>  Mon, 23 Aug 2010 17:00:23 +0200

opensc (0.11.12-1ubuntu3) lucid; urgency=low

  * include htmld documentation (snapshot from wiki) (Closes: #575113, 
    LP: #543334)

 -- Andreas Jellinghaus <aj@dungeon.inka.de>  Sun, 21 Mar 2010 12:08:21 +0100

opensc (0.11.12-1ubuntu2) lucid; urgency=low

  [ Dominik Fischer ]
  * debian/rules: build with "--with-pcsc-provider=/lib/libpcsclite.so.1",
    as this is the path of libpcsclite in jaunty and above.
  * opensc.install: added westcos-tool + manpage

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Feb 2010 02:52:33 -0800

opensc (0.11.12-1ubuntu1) lucid; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from debian testing.  Remaining changes:
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons.
    - Fix in -2ubuntu2 (right now in karmic-proposed) can be dropped as well,
      already fixed upstream (LP: #519750)
    Thx to Andreas Jellinghaus for the bugreport

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 10 Feb 2010 16:20:55 +0000

opensc (0.11.12-1) unstable; urgency=low

  * New upstream release. (Closes: #563671)
  * debian/source/format, debian/source/options,
    debian/source/patch-header: Convert to v3 quilt format, with
    single-debian-patch.
  * debian/rules: Enable documentation installation.
  * debian/control: Update description with advice from Andreas
    Jellinghaus, with some editing. (Closes: #552516)
  * debian/libopensc2.symbols: Update for new symbols.
  * debian/libopensc2.shlibs: Remove in favor of the symbols file.

 -- Eric Dorland <eric@debian.org>  Sun, 10 Jan 2010 19:23:09 -0500

opensc (0.11.9-2ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #490849), remaining changes:
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 01 Dec 2009 19:59:17 +0530

opensc (0.11.9-2) unstable; urgency=low

  * debian/libopensc2.symbols: Add symbols file.
  * debian/compat: Use debhelper version 7.
  * debian/control: Drop build-deps on cdbs and build-depend on debhelper
    >= 7.0.50.
  * debian/rules: Convert to dh instead of debhelper.

 -- Eric Dorland <eric@debian.org>  Mon, 07 Sep 2009 19:00:53 -0400

opensc (0.11.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Standards-Version to 3.8.3.

 -- Eric Dorland <eric@debian.org>  Mon, 07 Sep 2009 17:38:19 -0400

opensc (0.11.8-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining change (LP: #396385):
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 07 Jul 2009 11:41:27 +0530

opensc (0.11.8-1) unstable; urgency=low

  * New upstream release. Fixes a security problem with pkcs11-tool
    generating insecure public keypairs. This problem was only with the
    0.11.7 release, which was only part of unstable. (Closes: #527640)

 -- Eric Dorland <eric@debian.org>  Sun, 10 May 2009 22:03:06 -0400

opensc (0.11.7-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 28 Apr 2009 21:57:52 +0000

opensc (0.11.7-2) unstable; urgency=low

  * debian/rules: Explicitly enable openct and pcsc. (Closes: #522077)
  * debian/control:
    - Update Standards-Version to 3.8.1.
    - Add ${misc:Depends} everywhere.
    - Move libopensc2-dbg to the debug section.

 -- Eric Dorland <eric@debian.org>  Sat, 04 Apr 2009 17:46:05 -0400

opensc (0.11.7-1) unstable; urgency=low

  * New upstream release. Fixes CVE-2009-0368.
  * debian/rules: 
    - New location for the ChangeLog.
    - Add --enable-signer to get the signer back.
  * debian/opensc.install:
    - cardos-tool.1 replaces cardos-info.1.
    - Install cardos-tool and rutoken-tool.
  * debian/opensc.docs, libopensc2-dev.docs: New html documentation location.

 -- Eric Dorland <eric@debian.org>  Sun, 29 Mar 2009 03:56:10 -0400

opensc (0.11.4-5ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes LP: #260257):
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons

 -- Nathan Handler <nhandler@ubuntu.com>  Wed, 03 Sep 2008 20:06:26 -0500

opensc (0.11.4-5) unstable; urgency=high

  * src/tools/pkcs15-tool.c: Small fix to the previous security
    vulnerability to remove a strict check for the default card label.

 -- Eric Dorland <eric@debian.org>  Fri, 29 Aug 2008 03:14:53 -0400

opensc (0.11.4-4) unstable; urgency=high

  * src/libopensc/card-cardos.c, src/tools/pkcs15-tool.c: Patch to fix
    CVE-2008-2235 "OpenSC initializes CardOS cards with improper 
    access rights".
  * debian/control: Up Standards-Version to 3.7.3.
  * debian/opensc.NEWS: Fix typo.

 -- Eric Dorland <eric@debian.org>  Thu, 31 Jul 2008 13:27:31 -0400

opensc (0.11.4-3) unstable; urgency=low

  * etc/opensc.conf.in: Document that lock_login is actually set to false
    by default. Thanks Mark Proehl. (Closes: #457322)
  * debian/mozilla-opensc.install: Don't install .a file. (Closes: #459542)

 -- Eric Dorland <eric@debian.org>  Mon, 07 Jan 2008 23:54:18 -0500

opensc (0.11.4-2ubuntu2) hardy; urgency=low

  * debian/mozilla-opensc.install: Don't install .a file (DBTS: #459542).
  * debian/mozilla-opensc.links: Install link for xulrunner-addons
    (LP: #202343).

 -- Matti Lindell <mlind@cs.joensuu.fi>  Fri, 28 Mar 2008 07:28:00 +0200

opensc (0.11.4-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Install onepin-opensc-pkcs11.so and onepin-opensc-pkcs11.la
      Closes LP: #146350
    - Install the links for firefox.


=== debian/control ===
Source: opensc
Priority: extra
Section: utils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 7.0.50), libltdl3-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), libassuan-dev (>= 0.6.4-2), libopenct1-dev, libxt-dev, flex, pkg-config
Standards-Version: 3.8.3
Homepage: http://www.opensc-project.org/
Vcs-Git: git://git.debian.org/git/pkg-opensc/opensc.git
Vcs-Browser: http://git.debian.org/?p=pkg-opensc/opensc.git 

Package: opensc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Smart card utilities with support for PKCS#15 compatible cards
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 Before purchasing any cards, please read carefully documentation in
 /usr/share/doc/opensc/html/wiki/index.html - only some cards are
 supported. Not only does card type matters, but also card version,
 card OS version and preloaded applet. Only a subset of possible
 operations may be supported for your card. Card initialization may
 require third party proprietary software.

Package: libopensc2-dev
Section: libdevel
Priority: optional
Architecture: any
Conflicts: libopensc0-dev, libopensc1-dev
Replaces: libopensc0-dev, libopensc1-dev, libscam1 (<< 0.9.4-5)
Provides: libopensc-dev
Depends: libopensc2 (= ${binary:Version}), libssl-dev, ${misc:Depends}
Description: OpenSC development files
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 This package contains files necessary for developing applications
 with the libopensc libraries from OpenSC.org.

Package: libopensc2
Section: libs
Priority: optional
Architecture: any
Conflicts: libopensc0, libopensc1
Replaces: libopensc0, libopensc1
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Smart card library with support for PKCS#15 compatible smart cards
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 This package contains the libopensc libraries from OpenSC.org.
 .
 Card initialization can be performed by utilities in the opensc package.

Package: libopensc2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libopensc2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libopensc2
 This package contains the debugging symbols for the libopensc library
 from OpenSC.org.
 .
 Card initialization can be performed by utilities in the opensc package.

Package: mozilla-opensc
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pinentry-gtk2 | pinentry-x11
Replaces: libopensc-openssl (<< 0.9.4-6)
Description: Mozilla plugin for authentication using OpenSC
 A plugin for mozilla that allows S/MIME and SSL authentication using
 OpenSC.
 .
 Card initialization can be performed by utilities in the opensc package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/opensc \
		--enable-nsplugin \
		--enable-pcsc \
		--enable-openct \
		--enable-doc \
		--with-pcsc-provider=/lib/libpcsclite.so.1 \
		--htmldir=/usr/share/doc/opensc/html

override_dh_strip:
	dh_strip --dbg-package=libopensc2-dbg

override_dh_installchangelogs:
	dh_installchangelogs doc/nonpersistent/ChangeLog

override_dh_installdocs:
	dh_installdocs -A README NEWS

## opensc 0.11.13

=== debian/changelog ===
opensc (0.11.13-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2010-4523: Protect against buffer overflow from rogue cards 
    (closes: #607427)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 22 Dec 2010 14:20:22 +0000

opensc (0.11.13-1) unstable; urgency=low

  * New upstream release. (Closes: #570107, #505404)
  * libtool.m4: Delete spurious libtool.m4 that was picked up somewhere.

 -- Eric Dorland <eric@debian.org>  Mon, 01 Mar 2010 00:58:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opensc
 Priority: extra
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
+Maintainer: Eric Dorland <eric@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libltdl3-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), libassuan-dev (>= 0.6.4-2), libopenct1-dev, libxt-dev, flex, pkg-config
 Standards-Version: 3.8.3
 Homepage: http://www.opensc-project.org/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 		--enable-pcsc \
 		--enable-openct \
 		--enable-doc \
-		--with-pcsc-provider=/lib/libpcsclite.so.1 \
 		--htmldir=/usr/share/doc/opensc/html
 
 override_dh_strip:

## opensc 0.12.1

=== debian/changelog ===
opensc (0.12.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/missing-libs.patch: Add libraries to allow opensc to
      build (refreshed)
    - debian/opensc.docs: include htmld documentation (snapshot from wiki)
    - debian/rules: build with "--with-pcsc-provider=/lib/libpcsclite.so.1"
    - debian/opensc.install: added westcos-tool + manpage
  * Drop debian/patches/min-max.patch, debian/patches/buffer-overflow.patch,
    debian/patches/fix-storing-key-on-entersafe: Applied upstream
  * debian/control: Add dh-autoreconf as build-dependency
  * debian/rules: Call autoreconf sequence to rebuild autotools files

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Jun 2011 21:57:05 +0200

opensc (0.12.1-1) unstable; urgency=low

  * New upstream release. (Closes: #627241)
  * debian/control: Upgrade Standards-Version to 3.9.2.
  * debian/opensc.install: rutoken-tool has been removed.
  * debian/opensc.install: Add eidenv and piv-tool manpages.

 -- Eric Dorland <eric@debian.org>  Thu, 02 Jun 2011 01:31:38 -0400

opensc (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules, debian/mozilla-opensc.install,
    debian/mozilla-opensc.links: Remove the mozilla-opensc package, as
    it's no longer present.
  * debian/control, debian/rules: Don't build with openct anymore.
  * debian/rules: Changelog no longer in a weird place.
  * debian/source/options, debian/source/patch-header: Remove unnecessary
    single-debian-patch setting.
  * debian/patches/CVE-2010-4523, debian/patches/min-max-macros,
    debian/patches/series: Remove now unnecessary patches.
  * debian/libopensc2-dev.docs, debian/libopensc2-dev.install,
    debian/libopensc2.examples, debian/libopensc2.install,
    debian/libopensc2.links, debian/libopensc2.symbols, debian/control,
    debian/opensc.install: Remove the lib packages since they are now
    "private".
  * debian/control: Add xsltproc and docbook-xsl build depends for
    documentation building.
  * debian/rules: Remove unneedded override_dh_strip rule.
  * debian/rules: Install into debian/tmp.
  * debian/opensc.install: Remove no longer shipped cardos-info.

 -- Eric Dorland <eric@debian.org>  Tue, 31 May 2011 03:13:29 -0400

opensc (0.11.13-1ubuntu5) natty; urgency=low

  * Drop the symlinks in legacy plugin folders
    - update debian/mozilla-opensc.links
    - update debian/mozilla-opensc.install

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 Feb 2011 14:21:12 +0000

opensc (0.11.13-1ubuntu4) natty; urgency=low

  * SECURITY UPDATE: specially crafted cards may be able to execute code.
    - debian/patches/min-max.patch: Add MIN and MAX macros for last patch
    - debian/patches/buffer-overflow.patch: Fix potential buffer overflow 
      by rogue cards. (LP: #692483)

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Tue, 21 Dec 2010 09:50:33 +0100

opensc (0.11.13-1ubuntu3) natty; urgency=low

  * debian/patches/missing-libs.patch: Add libraries to allow opensc to build
    from source on natty (LP: #692571)

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Mon, 20 Dec 2010 15:14:49 +0100

opensc (0.11.13-1ubuntu2) maverick; urgency=low

  * debian/patches/fix-storing-key-on-entersafe: Fix storing a RSA key on
    EnterSafe cards. (LP: #622319)

 -- Firas Kraiem <firas@fkraiem.org>  Mon, 23 Aug 2010 14:43:10 +0200

opensc (0.11.13-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #600152), remaining changes:
    - debian/mozilla-opensc.links: Install links for firefox and
      xulrunner-addons.
    - debian/rules: build with "--with-pcsc-provider=/lib/libpcsclite.so.1",
      as this is the path of libpcsclite in jaunty and above.
    - debian/opensc.install: added westcos-tool + manpage
    - include htmld documentation (snapshot from wiki) (Closes: #575113,
      LP: #543334)

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 30 Jun 2010 12:04:58 +0200

=== debian/control ===
Source: opensc
Priority: extra
Section: utils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 7.0.50), libltdl3-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), libxt-dev, flex, pkg-config, xsltproc, docbook-xsl, dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://www.opensc-project.org/
Vcs-Git: git://git.debian.org/git/pkg-opensc/opensc.git
Vcs-Browser: http://git.debian.org/?p=pkg-opensc/opensc.git 

Package: opensc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopensc2 (<< 0.12.0)
Conflicts: libopensc2 (<< 0.12.0), mozilla-opensc
Description: Smart card utilities with support for PKCS#15 compatible cards
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 Before purchasing any cards, please read carefully documentation in
 /usr/share/doc/opensc/html/wiki/index.html - only some cards are
 supported. Not only does card type matters, but also card version,
 card OS version and preloaded applet. Only a subset of possible
 operations may be supported for your card. Card initialization may
 require third party proprietary software.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with-autoreconf $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/opensc \
		--enable-pcsc \
		--enable-doc \
		--with-pcsc-provider=/lib/libpcsclite.so.1 \
		--htmldir=/usr/share/doc/opensc/html

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installdocs:
	dh_installdocs -A README NEWS

## opensc 0.12.2

=== debian/changelog ===
opensc (0.12.2-3) unstable; urgency=low

  * debian/compat, debian/control: Upgrade to dh v9. (Closes: #656350)
  * debian/control: Mark package as Multi-Arch: foreign.
  * debian/opensc.install: Update /usr/lib paths for multi-arch.

 -- Eric Dorland <eric@debian.org>  Sun, 03 Jun 2012 18:21:39 -0400

opensc (0.12.2-2) unstable; urgency=low

  * debian/opensc.install: Add westcos-tool & its man page. Thanks Peter
    Marschall <peter@adpm.de>. (Closes: #629229)
  * debian/opensc.install: Install *.profile files again. Thanks Peter
    Marschall <peter@adpm.de>. (Closes: #629231)

 -- Eric Dorland <eric@debian.org>  Sun, 11 Sep 2011 19:53:24 -0400

opensc (0.12.2-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU. (Closes: #622436, #629227, #631618)
  * debian/rules, debian/opensc.install: Only install the .so.* lib files,
    not the .la or .a files. (Closes: #633656)
  * debian/rules, debian/control: Enable zlib support. Thanks Peter
    Marschall <peter@adpm.de>. (Closes: #629230)
  * debian/rules, debian/control: Enable readline support. Thanks Peter
    Marschall <peter@adpm.de>. (Closes: #629228)

 -- Eric Dorland <eric@debian.org>  Sun, 11 Sep 2011 19:04:02 -0400

opensc (0.12.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #622436).
  * Drop unnecessary build dependency on libxt-dev (Closes: #629227).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 15:37:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: opensc
 Priority: extra
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libltdl3-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), libxt-dev, flex, pkg-config, xsltproc, docbook-xsl, dh-autoreconf
+Maintainer: Eric Dorland <eric@debian.org>
+Build-Depends: debhelper (>= 9), libltdl3-dev, libreadline-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), flex, pkg-config, xsltproc, docbook-xsl, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.opensc-project.org/
 Vcs-Git: git://git.debian.org/git/pkg-opensc/opensc.git
@@ -12,6 +11,7 @@
 Package: opensc
 Section: utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopensc2 (<< 0.12.0)
 Conflicts: libopensc2 (<< 0.12.0), mozilla-opensc

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/opensc \
		--enable-pcsc \
		--enable-doc \
		--enable-readline \
		--enable-zlib \
		--htmldir=/usr/share/doc/opensc/html

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installdocs:
	dh_installdocs -A README NEWS

## opensc 0.13.0

=== debian/changelog ===
opensc (0.13.0-3ubuntu4) trusty; urgency=low

  * debian/patches/0002-fix-epass2003-support-from-upstream.patch:
    Add upstream fixes for ePass2003 token. Cherry-picking commits
    - 4c1cafe epass2003: key generation allows stricter privkey/pubkey ACLs
    - b1a4775 epass2003: properly disable padding
    - 83dc469 epass2003: list_files implemented
    - ee48ea1 Fix to allow exponents other than 65537 for Feitian ePass 2003
    (LP: #1176305)

 -- Gert van Dijk <gertvdijk@gmail.com>  Mon, 10 Mar 2014 19:38:23 +0100

opensc (0.13.0-3ubuntu3) trusty; urgency=low

  * Fix regression which causes authentication failure in Firefox.
    (LP: #1252254)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Tue, 14 Jan 2014 09:58:27 +0100

opensc (0.13.0-3ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jan 2014 18:24:46 -0500

opensc (0.13.0-3ubuntu1) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/control: Depend on pcscd

  * debian/patches/missing-libs.patch: Removed. Fixed upstream.

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Wed, 17 Jul 2013 20:42:03 -0600

opensc (0.13.0-3) unstable; urgency=low

  * debian/rules: Enable secure messaging support. (Closes: #694481)
  * debian/control, debian/rules: Use dh_autotools-dev.

 -- Eric Dorland <eric@debian.org>  Sun, 02 Jun 2013 19:18:48 -0400

opensc (0.13.0-2) unstable; urgency=low

  * opensc.install: Add openpgp-tool, iasecc-tool and sc-hsm-tool and
    manpages.
  * debian/control: Add misc:Pre-Depends substitution. (Closes: #702758)

 -- Eric Dorland <eric@debian.org>  Sat, 25 May 2013 21:02:03 -0400

opensc (0.13.0-1) unstable; urgency=low

  * New upstream release. (Closes: #703557, #694481)
  * debian/control: Standards-Version to 3.9.4.
  * debian/opensc.docs: Update the tools.html location.

 -- Eric Dorland <eric@debian.org>  Sat, 25 May 2013 04:52:07 -0400

opensc (0.12.2-2ubuntu2) quantal; urgency=low

  * Explicitly create debian/tmp/{etc/opensc,usr/lib/pkcs11} (fixing
    build failure).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Oct 2012 19:04:14 +0200

opensc (0.12.2-2ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #979986)  Remaining changes:
    - debian/patches/missing-libs.patch: Add libraries to allow opensc to build
    - debian/opensc.docs: include html documentation
    - debian/control: Depend on pcscd
    - debian/control: Add dh-autoreconf as build-dependency
    - debian/rules: Call autoreconf sequence to rebuild autotools files
    - debian/opensc.install: Added profiles

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Sat, 14 Apr 2012 13:27:17 +0200

opensc (0.12.1-1ubuntu5) precise; urgency=low

  * Don't configure with --with-pcsc-provider. LP: #978974.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Apr 2012 20:06:48 +0200

opensc (0.12.1-1ubuntu4) precise; urgency=low

  * debian/opensc.install: Added profiles (LP: #872019)

 -- Christopher Glass <christopher.glass@ubuntu.com>  Sat, 31 Mar 2012 09:10:01 +0200

opensc (0.12.1-1ubuntu3) precise; urgency=low

  * missing-libs.patch: updated to fix also Makefile.in and move libs in
    pkcs11_tool_LDADD. This fixes a FTBFS because of missing 'lt_dlsym' symbol
    when linking pkcs11-tool.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 31 Mar 2012 05:32:54 +0000

opensc (0.12.1-1ubuntu2) precise; urgency=low

  * Add the missing Depends:pcscd (LP: #917892).
    FIXME: Debian needs it too. See BDO 618554.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Tue, 17 Jan 2012 23:44:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: opensc
 Priority: extra
 Section: utils
-Maintainer: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 9), libltdl3-dev, libreadline-dev, libssl-dev (>= 0.9.7d-3), libpcsclite-dev (>= 1.2.9-beta1), flex, pkg-config, xsltproc, docbook-xsl, zlib1g-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, docbook-xsl, flex,
+ libltdl3-dev, libpcsclite-dev (>= 1.2.9-beta1), libreadline-dev,
+  libssl-dev (>= 0.9.7d-3), pkg-config, xsltproc, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.opensc-project.org/
 Vcs-Git: git://git.debian.org/git/pkg-opensc/opensc.git
@@ -11,8 +14,7 @@
 Package: opensc
 Section: utils
 Architecture: any
-Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: pcscd, ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopensc2 (<< 0.12.0)
 Conflicts: libopensc2 (<< 0.12.0), mozilla-opensc
 Description: Smart card utilities with support for PKCS#15 compatible cards

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --sysconfdir=/etc/opensc \
 		--enable-pcsc \
 		--enable-doc \
 		--enable-readline \
+		--enable-sm \
 		--enable-zlib \
 		--htmldir=/usr/share/doc/opensc/html

=== debian/watch ===
version=3

http://www.opensc-project.org/files/opensc/opensc-([\d\.]+)\.tar\.gz

## opensc 0.14.0

=== debian/changelog ===
opensc (0.14.0-2) unstable; urgency=medium

  * debian/patches/0001-belpic_Support_2k_cards.patch: Add patch for new
    belpic card. (Closes: #781221)

 -- Eric Dorland <eric@debian.org>  Wed, 08 Apr 2015 00:32:32 -0400

opensc (0.14.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #746694, #731235, #746663)
  * debian/watch: Update to new GitHub location.
  * debian/patches/0001-pkcs15_compute_cert_length.diff,
    debian/patches/0002-fix-for-aventra-myeid.diff: Drop upstreamed
    patches.
  * debian/opensc.install: Install new dnie-tool.
  * debian/control: Fix Vcs-Git path.
  * debian/control: Use new GitHub homepage.

 -- Eric Dorland <eric@debian.org>  Sat, 05 Jul 2014 15:34:04 -0400

opensc (0.13.0-5) unstable; urgency=medium

  * debian/control, debian/opensc.install, debian/opensc-pkcs11.install:
    Move the pkcs11 modules and libraries into their own package, marked
    Multi-Arch: same.
  * debian/control: Switch Conflicts to Breaks for package replacement.
  * debian/opensc-pkcs11.install: Install /usr/lib/*/pkcs11
    symlinks. (Closes: #710489)
  * debian/opensc-pkcs11.install: Don't install lib*.so symlinks.
  * debian/control: Fix up Vcs-* URLs.
  * debian/rules: Enable parallel builds.

 -- Eric Dorland <eric@debian.org>  Sun, 13 Apr 2014 18:29:52 -0400

opensc (0.13.0-4) unstable; urgency=medium

  * debian/control, debian/rules: Switch to dh-autoreconf. (Closes:
    #735380)
  * debian/patches/0001-pkcs15_compute_cert_length.diff: Fix for cert
    length computation on EID cards. Thanks to Martin-Éric Racine and
    apologies to Belgium for the delay. (Closes: #721588)
  * debian/patches/0002-fix-for-aventra-myeid.diff: Fix for Aventra
    MyEID. Thanks Hans-Christoph Steiner. (Closes: #742089)
  * debian/control: Standards-Version to 3.9.5.

 -- Eric Dorland <eric@debian.org>  Sat, 22 Mar 2014 17:35:33 -0400

=== debian/control ===
Source: opensc
Priority: extra
Section: utils
Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, docbook-xsl, flex,
 libltdl3-dev, libpcsclite-dev (>= 1.2.9-beta1), libreadline-dev,
 libssl-dev (>= 0.9.7d-3), pkg-config, xsltproc, zlib1g-dev
Standards-Version: 3.9.5
Homepage: https://github.com/OpenSC/OpenSC/wiki
Vcs-Git: git://anonscm.debian.org/pkg-opensc/opensc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-opensc/opensc.git

Package: opensc
Section: utils
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, opensc-pkcs11 (= ${binary:Version})
Conflicts: mozilla-opensc
Description: Smart card utilities with support for PKCS#15 compatible cards
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 Before purchasing any cards, please read carefully documentation in
 /usr/share/doc/opensc/html/wiki/index.html - only some cards are
 supported. Not only does card type matters, but also card version,
 card OS version and preloaded applet. Only a subset of possible
 operations may be supported for your card. Card initialization may
 require third party proprietary software.
 .
 This package contains tools for intearacting with smart cards.

Package: opensc-pkcs11
Section: utils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: opensc (<< 0.13.0-5~), libopensc2 (<< 0.12.0)
Breaks: opensc (<< 0.13.0-5~), libopensc2 (<< 0.12.0)
Description: Smart card utilities with support for PKCS#15 compatible cards
 OpenSC provides a set of libraries and utilities to access smart
 cards.  It mainly focuses on cards that support cryptographic
 operations. It facilitates their use in security applications such as
 mail encryption, authentication, and digital signature. OpenSC
 implements the PKCS#11 API. Applications supporting this API, such as
 Iceweasel and Icedove, can use it. OpenSC implements the PKCS#15
 standard and aims to be compatible with all software that does so as
 well.
 .
 Before purchasing any cards, please read carefully documentation in
 /usr/share/doc/opensc/html/wiki/index.html - only some cards are
 supported. Not only does card type matters, but also card version,
 card OS version and preloaded applet. Only a subset of possible
 operations may be supported for your card. Card initialization may
 require third party proprietary software.
 .
 This package contains the pkcs11 module.

## opensc 0.15.0

=== debian/changelog ===
opensc (0.15.0-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Depends on pcscd.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 21 Jun 2015 20:53:42 +0200

opensc (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update to DEP5 format.
  * debian/control: Switch maintainer to
    pkg-opensc-maint@lists.alioth.debian.org and mark myself as uploader.
  * debian/control: Standards-Version to 3.9.6.
  * debian/control, debian/copyright, debian/opensc-pkcs11.install,
    debian/opensc.docs, debian/opensc.install: Run wrap-and-sort.
  * debian/gbp.conf: Use pristine-tar.
  * debian/patches/0001-belpic_Support_2k_cards.patch: Remove upstreamed
    patch.
  * debian/gbp.conf: Use upstream-vcs-tag.

 -- Eric Dorland <eric@debian.org>  Sat, 16 May 2015 19:34:20 -0400

opensc (0.14.0-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Depends on pcscd.
  * Drop patches which have been fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 07 Feb 2015 23:23:32 +0100

opensc (0.13.0-3ubuntu5) utopic; urgency=low

  * debian/patches/0003-fix-sc-hsm-rsa2048.patch:
    Add upstream fix to show generated RSA public keys of 2048 bits.
    Cherry-picking commit:
    - 99af6cd sc-hsm: Fixed a bug that prevents a newly generated 2048 [...]
    (LP: #1311921)

 -- Gert van Dijk <gertvdijk@gmail.com>  Thu, 24 Apr 2014 00:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,21 @@
 Source: opensc
 Priority: extra
 Section: utils
-Maintainer: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, docbook-xsl, flex,
- libltdl3-dev, libpcsclite-dev (>= 1.2.9-beta1), libreadline-dev,
- libssl-dev (>= 0.9.7d-3), pkg-config, xsltproc, zlib1g-dev
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
+Uploaders: Eric Dorland <eric@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               docbook-xsl,
+               flex,
+               libltdl3-dev,
+               libpcsclite-dev (>= 1.2.9-beta1),
+               libreadline-dev,
+               libssl-dev (>= 0.9.7d-3),
+               pkg-config,
+               xsltproc,
+               zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/OpenSC/OpenSC/wiki
 Vcs-Git: git://anonscm.debian.org/pkg-opensc/opensc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-opensc/opensc.git
@@ -15,7 +25,10 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, opensc-pkcs11 (= ${binary:Version})
+Depends: opensc-pkcs11 (= ${binary:Version}),
+         pcscd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: mozilla-opensc
 Description: Smart card utilities with support for PKCS#15 compatible cards
  OpenSC provides a set of libraries and utilities to access smart
@@ -41,9 +54,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: opensc (<< 0.13.0-5~), libopensc2 (<< 0.12.0)
-Breaks: opensc (<< 0.13.0-5~), libopensc2 (<< 0.12.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libopensc2 (<< 0.12.0), opensc (<< 0.13.0-5~)
+Breaks: libopensc2 (<< 0.12.0), opensc (<< 0.13.0-5~)
 Description: Smart card utilities with support for PKCS#15 compatible cards
  OpenSC provides a set of libraries and utilities to access smart
  cards.  It mainly focuses on cards that support cryptographic

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --sysconfdir=/etc/opensc \

## opensc 0.16.0

=== debian/changelog ===
opensc (0.16.0-3+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix an incorrect read operation. (Fixes: CVE-2019-19479)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 21 Dec 2019 23:52:00 +0530

opensc (0.16.0-3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport 0.16.0-3+deb9u1 to Jessie and fix CVE-2018-16427, CVE-2018-16426,
    CVE-2018-16425, CVE-2018-16424, CVE-2018-16423, CVE-2018-16422,
    CVE-2018-16421, CVE-2018-16420, CVE-2018-16419, CVE-2018-16418,
    CVE-2018-16393, CVE-2018-16392 and CVE-2018-16391.
  * Fix CVE-2019-15945: out-of-bounds access of an ASN.1 Bitstring in
    decode_bit_string in libopensc/asn1.c.
  * Fix CVE-2019-15946: out-of-bounds access of an ASN.1 Octet string in
    asn1_decode_entry in libopensc/asn1.c.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Sep 2019 13:20:03 +0200

opensc (0.16.0-3+deb9u1) stable; urgency=medium

  * Backport patches from 0.19.0 to fix CVE-2018-16391, CVE-2018-16392,
    CVE-2018-16393, CVE-2018-16418, CVE-2018-16419, CVE-2018-16420,
    CVE-2018-16421, CVE-2018-16422, CVE-2018-16423, CVE-2018-16424,
    CVE-2018-16425, CVE-2018-16426, CVE-2018-16427. (Closes: 909444)

 -- Eric Dorland <eric@debian.org>  Sun, 30 Sep 2018 15:30:15 -0400

opensc (0.16.0-3) unstable; urgency=medium

  * debian/opensc-pkcs11.install, debian/opensc-pkcs11.module: Add p11-kit
    module file. Thanks Timo Aaltonen. (Closes: #835029)
  * debian/patches/0001-Fix-interaction-with-DNIe-UI.patch: Add upstream
    patch to fix interaction with DNIe UI. (Closes: #826524)

 -- Eric Dorland <eric@debian.org>  Sun, 15 Jan 2017 19:18:44 -0500

opensc (0.16.0-2) unstable; urgency=medium

  * debian/control: Recommend pcscd.
  * debian/control: Switch to libssl1.0-dev since it doesn't build with 1.1.
  * debian/compat, debian/control, debian/rules: Switch to debhelper 10.

 -- Eric Dorland <eric@debian.org>  Sat, 10 Dec 2016 19:31:29 -0500

opensc (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Install README instead of README.md.

 -- Eric Dorland <eric@debian.org>  Sat, 02 Jul 2016 16:01:45 -0400

opensc (0.16.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/rules: Install README.md instead of README. (Closes: #825577)
  * debian/opensc.install: Add dnie-tool.1 manpage.
  * debian/copyright: Fix up FSF address and missing Copyright field.

 -- Eric Dorland <eric@debian.org>  Fri, 27 May 2016 23:18:59 -0400

opensc (0.16.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate. (Closes: #808113, #820444)
  * debian/rules: Pass --enable-dnie-ui. (Closes: #819399)
  * debian/control: Standards-Version to 3.9.8.
  * debian/control: Fix typo.
  * debian/copyright: Fix a few issues with machine readable copyright.

 -- Eric Dorland <eric@debian.org>  Sat, 09 Apr 2016 01:17:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opensc
 Priority: extra
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
+Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
@@ -15,7 +14,7 @@
                pkg-config,
                xsltproc,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/OpenSC/OpenSC/wiki
 Vcs-Git: git://anonscm.debian.org/pkg-opensc/opensc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-opensc/opensc.git
@@ -26,10 +25,10 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: opensc-pkcs11 (= ${binary:Version}),
-         pcscd,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: mozilla-opensc
+Recommends: pcscd
 Description: Smart card utilities with support for PKCS#15 compatible cards
  OpenSC provides a set of libraries and utilities to access smart
  cards.  It mainly focuses on cards that support cryptographic
@@ -47,7 +46,7 @@
  operations may be supported for your card. Card initialization may
  require third party proprietary software.
  .
- This package contains tools for intearacting with smart cards.
+ This package contains tools for interacting with smart cards.
 
 Package: opensc-pkcs11
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh_auto_configure -- --sysconfdir=/etc/opensc \
 		--enable-pcsc \
 		--enable-doc \
+		--enable-dnie-ui \
 		--enable-readline \
 		--enable-sm \
 		--enable-zlib \

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
  https://github.com/OpenSC/OpenSC/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## opensc 0.17.0

=== solaris/Makefile ===
--- 
+++ 
@@ -6,14 +6,14 @@
 CONFIGURE=${CONFIGURE_PREFIX}/configure
 CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc/opensc --mandir=/usr/share/man --enable-pcsc --enable-openct
 CONFIG_GUESS=${CONFIGURE_PREFIX}/config.guess
-UNAME_ARCH=/sbin/uname -p
+UNAME_ARCH=/usr/bin/uname -p
 PLATFORM = $(CONFIG_GUESS:sh)
 ARCH = $(UNAME_ARCH:sh)
 
 build:
 	@echo "Setup platform specific build directory build-${PLATFORM}"
 	mkdir -p build-${PLATFORM}
-	( cd build-${PLATFORM}; CC=cc ${CONFIGURE} ${CONFIGURE_ARGS}; make )
+	( cd build-${PLATFORM}; CC=cc PCSC_CFLAGS=-I/usr/include/smartcard ${CONFIGURE} ${CONFIGURE_ARGS}; make )
 
 dist:
 	@echo "Setup platform specific dist directory dist-${PLATFORM}"

=== debian/changelog ===
opensc (0.17.0-3) unstable; urgency=medium

  * Switch to debhelper 11
  * Standards-Version to 4.1.3
  * Move VCS to salsa.debian.org
  * Install README.md file (Closes: 870292)

 -- Eric Dorland <eric@debian.org>  Sat, 24 Feb 2018 21:36:07 -0500

opensc (0.17.0-2) unstable; urgency=medium

  * debian/control: Switch to openssl 1.1. (Closes: #828471)
  * debian/control: Switch to priority optional.
  * debian/control: Standards-Version to 4.1.1.

 -- Eric Dorland <eric@debian.org>  Sun, 26 Nov 2017 00:40:22 -0500

opensc (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Sun, 23 Jul 2017 14:01:53 -0400

opensc (0.17.0~rc2-1) UNRELEASED; urgency=medium

  * New upstream release candidate.
  * debian/control: Build depend on help2man for npa-tool.1.

 -- Eric Dorland <eric@debian.org>  Sun, 09 Jul 2017 00:10:09 -0400

opensc (0.17.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/patches/0001-Fix-interaction-with-DNIe-UI.patch: Remove
    upstreamed patch.
  * debian/control: Standards-Version to 4.0.0.

 -- Eric Dorland <eric@debian.org>  Sat, 24 Jun 2017 17:03:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: opensc
-Priority: extra
+Priority: optional
 Section: utils
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                docbook-xsl,
                flex,
+               help2man,
                libltdl3-dev,
                libpcsclite-dev (>= 1.2.9-beta1),
                libreadline-dev,
@@ -14,10 +14,10 @@
                pkg-config,
                xsltproc,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/OpenSC/OpenSC/wiki
-Vcs-Git: git://anonscm.debian.org/pkg-opensc/opensc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-opensc/opensc.git
+Vcs-Git: https://salsa.debian.org/opensc-team/opensc.git
+Vcs-Browser: https://salsa.debian.org/opensc-team/opensc
 
 Package: opensc
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --sysconfdir=/etc/opensc \
@@ -17,4 +17,4 @@
 	dh_auto_install --destdir=debian/tmp
 
 override_dh_installdocs:
-	dh_installdocs -A README NEWS
+	dh_installdocs -A README README.md NEWS

## opensc 0.18.0

=== debian/changelog ===
opensc (0.18.0-3ubuntu2) cosmic; urgency=medium

  * Fix ppc64el build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jul 2018 14:40:28 +0200

opensc (0.18.0-3) unstable; urgency=medium

  * Include the opensc-notify tool

 -- Eric Dorland <eric@debian.org>  Sat, 02 Jun 2018 19:46:02 -0400

opensc (0.18.0-2) unstable; urgency=medium

  * Install all binaries and manpages (Closes: 899236)
  * Standards-Version to 4.1.4

 -- Eric Dorland <eric@debian.org>  Tue, 22 May 2018 13:10:58 -0400

opensc (0.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Sun, 20 May 2018 21:25:13 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                docbook-xsl,
                flex,
                help2man,
+               libglib2.0-dev,
                libltdl3-dev,
                libpcsclite-dev (>= 1.2.9-beta1),
                libreadline-dev,
@@ -14,7 +15,7 @@
                pkg-config,
                xsltproc,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/OpenSC/OpenSC/wiki
 Vcs-Git: https://salsa.debian.org/opensc-team/opensc.git
 Vcs-Browser: https://salsa.debian.org/opensc-team/opensc

## opensc 0.19.0

=== debian/changelog ===
opensc (0.19.0-1~jasp1) unstable; urgency=medium

  * Derivative upload.
  * Improved.

 -- Javier Serrano Polo <javier@jasp.net>  Mon, 07 Jan 2019 18:26:26 +0100

opensc (0.19.0-1) unstable; urgency=medium

  * New upstream release (Closes: 908363, 909444)
  * Fix linebreak in watch file

 -- Eric Dorland <eric@debian.org>  Sun, 30 Sep 2018 16:26:03 -0400

opensc (0.19.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update watch rules
  * Standards-Version to 4.2.1.1

 -- Eric Dorland <eric@debian.org>  Sun, 09 Sep 2018 00:23:09 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Maintainer: Debian OpenSC Maintainers <pkg-opensc-maint@lists.alioth.debian.org>
 Uploaders: Eric Dorland <eric@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
                docbook-xsl,
                flex,
                help2man,
@@ -15,7 +15,7 @@
                pkg-config,
                xsltproc,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1.1
 Homepage: https://github.com/OpenSC/OpenSC/wiki
 Vcs-Git: https://salsa.debian.org/opensc-team/opensc.git
 Vcs-Browser: https://salsa.debian.org/opensc-team/opensc
